// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_mobile/order_mobile.proto

package order_mobile

import (
	order "gitlab.com/adhocguru/fcp/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SaveOrderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// order.Order = 0 - CREATE, order.Order > 0 - UPDATE
	// ----------------------------------------------
	// CREATE mandatory fields:
	// process, process_type, category_id, category_name, brand_id, brand_name,
	// product_id, product_name, quantity_type_id, quantity_type_name, quantity
	// delivery_condition, delivery_date, delivery_place, payment_condition, payment_date, expired_date
	// ----------------------------------------------
	// UPDATE possible fields:
	// quantity_type_id, quantity_type_name, quantity
	// delivery_condition, delivery_date, delivery_place,
	// payment_condition, payment_date, expired_date
	// Validation:
	//  - status must be Active
	//  - list of offers must be empty
	Item *order.Order `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
	// additional details of a specific product
	//
	// Types that are assignable to Detail:
	//	*SaveOrderRequest_ResourcesSeeds
	//	*SaveOrderRequest_ResourcesFertilize
	//	*SaveOrderRequest_ResourcesMicroFertilize
	//	*SaveOrderRequest_ResourcesChemistry
	Detail isSaveOrderRequest_Detail `protobuf_oneof:"detail"`
}

func (x *SaveOrderRequest) Reset() {
	*x = SaveOrderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_order_mobile_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveOrderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveOrderRequest) ProtoMessage() {}

func (x *SaveOrderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_order_mobile_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveOrderRequest.ProtoReflect.Descriptor instead.
func (*SaveOrderRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_order_mobile_proto_rawDescGZIP(), []int{0}
}

func (x *SaveOrderRequest) GetItem() *order.Order {
	if x != nil {
		return x.Item
	}
	return nil
}

func (m *SaveOrderRequest) GetDetail() isSaveOrderRequest_Detail {
	if m != nil {
		return m.Detail
	}
	return nil
}

func (x *SaveOrderRequest) GetResourcesSeeds() *order.ResourcesSeeds {
	if x, ok := x.GetDetail().(*SaveOrderRequest_ResourcesSeeds); ok {
		return x.ResourcesSeeds
	}
	return nil
}

func (x *SaveOrderRequest) GetResourcesFertilize() *order.ResourcesFertilize {
	if x, ok := x.GetDetail().(*SaveOrderRequest_ResourcesFertilize); ok {
		return x.ResourcesFertilize
	}
	return nil
}

func (x *SaveOrderRequest) GetResourcesMicroFertilize() *order.ResourcesMicroFertilizers {
	if x, ok := x.GetDetail().(*SaveOrderRequest_ResourcesMicroFertilize); ok {
		return x.ResourcesMicroFertilize
	}
	return nil
}

func (x *SaveOrderRequest) GetResourcesChemistry() *order.ResourcesChemistry {
	if x, ok := x.GetDetail().(*SaveOrderRequest_ResourcesChemistry); ok {
		return x.ResourcesChemistry
	}
	return nil
}

type isSaveOrderRequest_Detail interface {
	isSaveOrderRequest_Detail()
}

type SaveOrderRequest_ResourcesSeeds struct {
	ResourcesSeeds *order.ResourcesSeeds `protobuf:"bytes,100,opt,name=resources_seeds,json=resourcesSeeds,proto3,oneof"`
}

type SaveOrderRequest_ResourcesFertilize struct {
	ResourcesFertilize *order.ResourcesFertilize `protobuf:"bytes,101,opt,name=resources_fertilize,json=resourcesFertilize,proto3,oneof"`
}

type SaveOrderRequest_ResourcesMicroFertilize struct {
	ResourcesMicroFertilize *order.ResourcesMicroFertilizers `protobuf:"bytes,102,opt,name=resources_micro_fertilize,json=resourcesMicroFertilize,proto3,oneof"`
}

type SaveOrderRequest_ResourcesChemistry struct {
	ResourcesChemistry *order.ResourcesChemistry `protobuf:"bytes,103,opt,name=resources_chemistry,json=resourcesChemistry,proto3,oneof"`
}

func (*SaveOrderRequest_ResourcesSeeds) isSaveOrderRequest_Detail() {}

func (*SaveOrderRequest_ResourcesFertilize) isSaveOrderRequest_Detail() {}

func (*SaveOrderRequest_ResourcesMicroFertilize) isSaveOrderRequest_Detail() {}

func (*SaveOrderRequest_ResourcesChemistry) isSaveOrderRequest_Detail() {}

type SaveOrderResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SaveOrderResponse) Reset() {
	*x = SaveOrderResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_order_mobile_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveOrderResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveOrderResponse) ProtoMessage() {}

func (x *SaveOrderResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_order_mobile_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveOrderResponse.ProtoReflect.Descriptor instead.
func (*SaveOrderResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_order_mobile_proto_rawDescGZIP(), []int{1}
}

func (x *SaveOrderResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

//----------------
// Reject Order
//----------------
// Validation:
//  - status must be Active
type RejectOrderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *RejectOrderRequest) Reset() {
	*x = RejectOrderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_order_mobile_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RejectOrderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RejectOrderRequest) ProtoMessage() {}

func (x *RejectOrderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_order_mobile_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RejectOrderRequest.ProtoReflect.Descriptor instead.
func (*RejectOrderRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_order_mobile_proto_rawDescGZIP(), []int{2}
}

func (x *RejectOrderRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type RejectOrderResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RejectOrderResponse) Reset() {
	*x = RejectOrderResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_order_mobile_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RejectOrderResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RejectOrderResponse) ProtoMessage() {}

func (x *RejectOrderResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_order_mobile_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RejectOrderResponse.ProtoReflect.Descriptor instead.
func (*RejectOrderResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_order_mobile_proto_rawDescGZIP(), []int{3}
}

var File_v1_order_mobile_order_mobile_proto protoreflect.FileDescriptor

var file_v1_order_mobile_order_mobile_proto_rawDesc = []byte{
	0x0a, 0x22, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c,
	0x65, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x19, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x1a,
	0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1a, 0x76, 0x31, 0x2f,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1c, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xc3, 0x03, 0x0a, 0x10, 0x53, 0x61, 0x76, 0x65, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2d, 0x0a, 0x04, 0x69, 0x74,
	0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x12, 0x4d, 0x0a, 0x0f, 0x72, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x5f, 0x73, 0x65, 0x65, 0x64, 0x73, 0x18, 0x64, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x22, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x73, 0x53, 0x65, 0x65, 0x64, 0x73, 0x48, 0x00, 0x52, 0x0e, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x73, 0x53, 0x65, 0x65, 0x64, 0x73, 0x12, 0x59, 0x0a, 0x13, 0x72, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x73, 0x5f, 0x66, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65, 0x18,
	0x65, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x73, 0x46, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65, 0x48, 0x00, 0x52,
	0x12, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x46, 0x65, 0x72, 0x74, 0x69, 0x6c,
	0x69, 0x7a, 0x65, 0x12, 0x6b, 0x0a, 0x19, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73,
	0x5f, 0x6d, 0x69, 0x63, 0x72, 0x6f, 0x5f, 0x66, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65,
	0x18, 0x66, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x73, 0x4d, 0x69, 0x63, 0x72, 0x6f, 0x46, 0x65, 0x72, 0x74, 0x69, 0x6c,
	0x69, 0x7a, 0x65, 0x72, 0x73, 0x48, 0x00, 0x52, 0x17, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x73, 0x4d, 0x69, 0x63, 0x72, 0x6f, 0x46, 0x65, 0x72, 0x74, 0x69, 0x6c, 0x69, 0x7a, 0x65,
	0x12, 0x59, 0x0a, 0x13, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x5f, 0x63, 0x68,
	0x65, 0x6d, 0x69, 0x73, 0x74, 0x72, 0x79, 0x18, 0x67, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x43, 0x68, 0x65, 0x6d,
	0x69, 0x73, 0x74, 0x72, 0x79, 0x48, 0x00, 0x52, 0x12, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x73, 0x43, 0x68, 0x65, 0x6d, 0x69, 0x73, 0x74, 0x72, 0x79, 0x42, 0x08, 0x0a, 0x06, 0x64,
	0x65, 0x74, 0x61, 0x69, 0x6c, 0x4a, 0x04, 0x08, 0x02, 0x10, 0x64, 0x22, 0x23, 0x0a, 0x11, 0x53,
	0x61, 0x76, 0x65, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64,
	0x22, 0x24, 0x0a, 0x12, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x15, 0x0a, 0x13, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0xcc, 0x0a,
	0x0a, 0x0c, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x61,
	0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65,
	0x73, 0x73, 0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x69, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x72,
	0x6f, 0x63, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x12, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x75, 0x0a, 0x1a,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72,
	0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x35, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72,
	0x79, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x73, 0x0a, 0x19, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e,
	0x12, 0x34, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50,
	0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x63, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x12, 0x2c, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x43, 0x61, 0x74, 0x65,
	0x67, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5d, 0x0a,
	0x0e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x42, 0x72, 0x61, 0x6e, 0x64, 0x12,
	0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x42, 0x72,
	0x61, 0x6e, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a, 0x10,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x6b, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x51, 0x75, 0x61, 0x6e,
	0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x12, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x51, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x67, 0x0a, 0x0e,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x12, 0x29,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x4e, 0x61, 0x6d,
	0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x55, 0x0a, 0x08, 0x47, 0x65, 0x74, 0x4f, 0x72, 0x64, 0x65,
	0x72, 0x12, 0x23, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x58, 0x0a, 0x09,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x24, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x66, 0x0a, 0x09, 0x53, 0x61, 0x76, 0x65, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e,
	0x53, 0x61, 0x76, 0x65, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x53, 0x61, 0x76,
	0x65, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6c,
	0x0a, 0x0b, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x2d, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x5c, 0x0a, 0x1c,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x50, 0x01, 0x5a, 0x37,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f, 0x63,
	0x67, 0x75, 0x72, 0x75, 0x2f, 0x66, 0x63, 0x70, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65,
	0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_v1_order_mobile_order_mobile_proto_rawDescOnce sync.Once
	file_v1_order_mobile_order_mobile_proto_rawDescData = file_v1_order_mobile_order_mobile_proto_rawDesc
)

func file_v1_order_mobile_order_mobile_proto_rawDescGZIP() []byte {
	file_v1_order_mobile_order_mobile_proto_rawDescOnce.Do(func() {
		file_v1_order_mobile_order_mobile_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_mobile_order_mobile_proto_rawDescData)
	})
	return file_v1_order_mobile_order_mobile_proto_rawDescData
}

var file_v1_order_mobile_order_mobile_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_v1_order_mobile_order_mobile_proto_goTypes = []interface{}{
	(*SaveOrderRequest)(nil),                        // 0: fcp.order.v1.order_mobile.SaveOrderRequest
	(*SaveOrderResponse)(nil),                       // 1: fcp.order.v1.order_mobile.SaveOrderResponse
	(*RejectOrderRequest)(nil),                      // 2: fcp.order.v1.order_mobile.RejectOrderRequest
	(*RejectOrderResponse)(nil),                     // 3: fcp.order.v1.order_mobile.RejectOrderResponse
	(*order.Order)(nil),                             // 4: fcp.order.v1.order.Order
	(*order.ResourcesSeeds)(nil),                    // 5: fcp.order.v1.order.ResourcesSeeds
	(*order.ResourcesFertilize)(nil),                // 6: fcp.order.v1.order.ResourcesFertilize
	(*order.ResourcesMicroFertilizers)(nil),         // 7: fcp.order.v1.order.ResourcesMicroFertilizers
	(*order.ResourcesChemistry)(nil),                // 8: fcp.order.v1.order.ResourcesChemistry
	(*order.ListOrderProcessRequest)(nil),           // 9: fcp.order.v1.order.ListOrderProcessRequest
	(*order.ListOrderProcessTypeRequest)(nil),       // 10: fcp.order.v1.order.ListOrderProcessTypeRequest
	(*order.ListOrderDeliveryConditionRequest)(nil), // 11: fcp.order.v1.order.ListOrderDeliveryConditionRequest
	(*order.ListOrderPaymentConditionRequest)(nil),  // 12: fcp.order.v1.order.ListOrderPaymentConditionRequest
	(*order.ListOrderCategoryRequest)(nil),          // 13: fcp.order.v1.order.ListOrderCategoryRequest
	(*order.ListOrderBrandRequest)(nil),             // 14: fcp.order.v1.order.ListOrderBrandRequest
	(*order.ListOrderProductRequest)(nil),           // 15: fcp.order.v1.order.ListOrderProductRequest
	(*order.ListOrderQuantityTypeRequest)(nil),      // 16: fcp.order.v1.order.ListOrderQuantityTypeRequest
	(*order.ListOrderNamesRequest)(nil),             // 17: fcp.order.v1.order.ListOrderNamesRequest
	(*order.GetOrderRequest)(nil),                   // 18: fcp.order.v1.order.GetOrderRequest
	(*order.ListOrderRequest)(nil),                  // 19: fcp.order.v1.order.ListOrderRequest
	(*order.DictResponse)(nil),                      // 20: fcp.order.v1.order.DictResponse
	(*order.ListOrderNamesResponse)(nil),            // 21: fcp.order.v1.order.ListOrderNamesResponse
	(*order.GetOrderResponse)(nil),                  // 22: fcp.order.v1.order.GetOrderResponse
	(*order.ListOrderResponse)(nil),                 // 23: fcp.order.v1.order.ListOrderResponse
}
var file_v1_order_mobile_order_mobile_proto_depIdxs = []int32{
	4,  // 0: fcp.order.v1.order_mobile.SaveOrderRequest.item:type_name -> fcp.order.v1.order.Order
	5,  // 1: fcp.order.v1.order_mobile.SaveOrderRequest.resources_seeds:type_name -> fcp.order.v1.order.ResourcesSeeds
	6,  // 2: fcp.order.v1.order_mobile.SaveOrderRequest.resources_fertilize:type_name -> fcp.order.v1.order.ResourcesFertilize
	7,  // 3: fcp.order.v1.order_mobile.SaveOrderRequest.resources_micro_fertilize:type_name -> fcp.order.v1.order.ResourcesMicroFertilizers
	8,  // 4: fcp.order.v1.order_mobile.SaveOrderRequest.resources_chemistry:type_name -> fcp.order.v1.order.ResourcesChemistry
	9,  // 5: fcp.order.v1.order_mobile.OrderService.ListOrderProcess:input_type -> fcp.order.v1.order.ListOrderProcessRequest
	10, // 6: fcp.order.v1.order_mobile.OrderService.ListOrderProcessType:input_type -> fcp.order.v1.order.ListOrderProcessTypeRequest
	11, // 7: fcp.order.v1.order_mobile.OrderService.ListOrderDeliveryCondition:input_type -> fcp.order.v1.order.ListOrderDeliveryConditionRequest
	12, // 8: fcp.order.v1.order_mobile.OrderService.ListOrderPaymentCondition:input_type -> fcp.order.v1.order.ListOrderPaymentConditionRequest
	13, // 9: fcp.order.v1.order_mobile.OrderService.ListOrderCategory:input_type -> fcp.order.v1.order.ListOrderCategoryRequest
	14, // 10: fcp.order.v1.order_mobile.OrderService.ListOrderBrand:input_type -> fcp.order.v1.order.ListOrderBrandRequest
	15, // 11: fcp.order.v1.order_mobile.OrderService.ListOrderProduct:input_type -> fcp.order.v1.order.ListOrderProductRequest
	16, // 12: fcp.order.v1.order_mobile.OrderService.ListOrderQuantityType:input_type -> fcp.order.v1.order.ListOrderQuantityTypeRequest
	17, // 13: fcp.order.v1.order_mobile.OrderService.ListOrderNames:input_type -> fcp.order.v1.order.ListOrderNamesRequest
	18, // 14: fcp.order.v1.order_mobile.OrderService.GetOrder:input_type -> fcp.order.v1.order.GetOrderRequest
	19, // 15: fcp.order.v1.order_mobile.OrderService.ListOrder:input_type -> fcp.order.v1.order.ListOrderRequest
	0,  // 16: fcp.order.v1.order_mobile.OrderService.SaveOrder:input_type -> fcp.order.v1.order_mobile.SaveOrderRequest
	2,  // 17: fcp.order.v1.order_mobile.OrderService.RejectOrder:input_type -> fcp.order.v1.order_mobile.RejectOrderRequest
	20, // 18: fcp.order.v1.order_mobile.OrderService.ListOrderProcess:output_type -> fcp.order.v1.order.DictResponse
	20, // 19: fcp.order.v1.order_mobile.OrderService.ListOrderProcessType:output_type -> fcp.order.v1.order.DictResponse
	20, // 20: fcp.order.v1.order_mobile.OrderService.ListOrderDeliveryCondition:output_type -> fcp.order.v1.order.DictResponse
	20, // 21: fcp.order.v1.order_mobile.OrderService.ListOrderPaymentCondition:output_type -> fcp.order.v1.order.DictResponse
	20, // 22: fcp.order.v1.order_mobile.OrderService.ListOrderCategory:output_type -> fcp.order.v1.order.DictResponse
	20, // 23: fcp.order.v1.order_mobile.OrderService.ListOrderBrand:output_type -> fcp.order.v1.order.DictResponse
	20, // 24: fcp.order.v1.order_mobile.OrderService.ListOrderProduct:output_type -> fcp.order.v1.order.DictResponse
	20, // 25: fcp.order.v1.order_mobile.OrderService.ListOrderQuantityType:output_type -> fcp.order.v1.order.DictResponse
	21, // 26: fcp.order.v1.order_mobile.OrderService.ListOrderNames:output_type -> fcp.order.v1.order.ListOrderNamesResponse
	22, // 27: fcp.order.v1.order_mobile.OrderService.GetOrder:output_type -> fcp.order.v1.order.GetOrderResponse
	23, // 28: fcp.order.v1.order_mobile.OrderService.ListOrder:output_type -> fcp.order.v1.order.ListOrderResponse
	1,  // 29: fcp.order.v1.order_mobile.OrderService.SaveOrder:output_type -> fcp.order.v1.order_mobile.SaveOrderResponse
	3,  // 30: fcp.order.v1.order_mobile.OrderService.RejectOrder:output_type -> fcp.order.v1.order_mobile.RejectOrderResponse
	18, // [18:31] is the sub-list for method output_type
	5,  // [5:18] is the sub-list for method input_type
	5,  // [5:5] is the sub-list for extension type_name
	5,  // [5:5] is the sub-list for extension extendee
	0,  // [0:5] is the sub-list for field type_name
}

func init() { file_v1_order_mobile_order_mobile_proto_init() }
func file_v1_order_mobile_order_mobile_proto_init() {
	if File_v1_order_mobile_order_mobile_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_mobile_order_mobile_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveOrderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_order_mobile_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveOrderResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_order_mobile_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RejectOrderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_order_mobile_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RejectOrderResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_v1_order_mobile_order_mobile_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*SaveOrderRequest_ResourcesSeeds)(nil),
		(*SaveOrderRequest_ResourcesFertilize)(nil),
		(*SaveOrderRequest_ResourcesMicroFertilize)(nil),
		(*SaveOrderRequest_ResourcesChemistry)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_mobile_order_mobile_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_mobile_order_mobile_proto_goTypes,
		DependencyIndexes: file_v1_order_mobile_order_mobile_proto_depIdxs,
		MessageInfos:      file_v1_order_mobile_order_mobile_proto_msgTypes,
	}.Build()
	File_v1_order_mobile_order_mobile_proto = out.File
	file_v1_order_mobile_order_mobile_proto_rawDesc = nil
	file_v1_order_mobile_order_mobile_proto_goTypes = nil
	file_v1_order_mobile_order_mobile_proto_depIdxs = nil
}
